For the complete documentation index, see llms.txt. This page is also available as Markdown.

Segment Configuration

Segment analytics integration settings.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the Segment configuration

application/json
backendWriteKeystringRequired

Backend Segment write key for server-side analytics (masked)

Example: xoxb********
flushIntervalMsnumberRequired

Segment flush interval in milliseconds

Example: 1000
isEnabledbooleanRequired

Whether Segment analytics is enabled

Example: true
get/tenants/{tenantId}/integrations/segment
GET /apis/v2/tenants/{tenantId}/integrations/segment HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "backendWriteKey": "xoxb********",
  "flushIntervalMs": 1000,
  "isEnabled": true
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
backendWriteKeystringOptional

Backend Segment write key for server-side analytics (masked)

Example: xoxb********
flushIntervalMsnumberOptional

Segment flush interval in milliseconds

Example: 1000
Responses
200

Returns the updated Segment configuration

application/json
backendWriteKeystringRequired

Backend Segment write key for server-side analytics (masked)

Example: xoxb********
flushIntervalMsnumberRequired

Segment flush interval in milliseconds

Example: 1000
isEnabledbooleanRequired

Whether Segment analytics is enabled

Example: true
patch/tenants/{tenantId}/integrations/segment
PATCH /apis/v2/tenants/{tenantId}/integrations/segment HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "backendWriteKey": "xoxb********",
  "flushIntervalMs": 1000
}
{
  "backendWriteKey": "xoxb********",
  "flushIntervalMs": 1000,
  "isEnabled": true
}

Last updated

Was this helpful?